> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Plaid statements



## OpenAPI

````yaml get /v1/businesses/{businessId}/plaid/items/{plaidItemId}/statements
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/plaid/items/{plaidItemId}/statements:
    get:
      summary: List Plaid statements
      operationId: business.plaid.statements.list
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: plaidItemId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ApiPlaidStatements'
                required:
                  - data
              example:
                data:
                  type: Plaid_Statements
                  accounts:
                    - account_id: plaid-account-id
                      statements:
                        - statement_id: plaid-statement-id
                          month: 9
                          year: 2026
                          date_posted: '2026-10-01'
        '400':
          description: Bad Request
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
components:
  schemas:
    ApiPlaidStatements:
      type: object
      properties:
        type:
          type: string
          enum:
            - Plaid_Statements
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/ApiPlaidStatementAccount'
      required:
        - type
        - accounts
    ApiPlaidStatementAccount:
      type: object
      properties:
        account_id:
          type: string
        statements:
          type: array
          items:
            $ref: '#/components/schemas/ApiPlaidStatement'
      required:
        - account_id
        - statements
    ApiPlaidStatement:
      type: object
      properties:
        statement_id:
          type: string
        month:
          type: integer
          minimum: 1
          maximum: 12
        year:
          type: integer
        date_posted:
          type: string
          format: date
          nullable: true
      required:
        - statement_id
        - month
        - year
        - date_posted
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.